org.apache.ignite.spi.communication.tcp.internal

## Class CommunicationDiscoveryEventListener

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.CommunicationDiscoveryEventListener

All Implemented Interfaces:
  EventListener, GridLocalEventListener, HighPriorityListener

    public class CommunicationDiscoveryEventListener
    extends Object
    implements GridLocalEventListener, HighPriorityListener

Listener on discovery events.

### Constructor Summary

Constructors
Constructor and Description
`CommunicationDiscoveryEventListener(ConnectionClientPool clientPool, TcpCommunicationMetricsListener metricsLsnr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `metricsListener(@Nullable TcpCommunicationMetricsListener metricsLsnr)`
`void` `onEvent(Event evt)` Local event callback.
`int` `order()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommunicationDiscoveryEventListener

    public CommunicationDiscoveryEventListener(ConnectionClientPool clientPool,
                                               TcpCommunicationMetricsListener metricsLsnr)

Parameters:
  `clientPool` - Client pool.
  `metricsLsnr` - Metrics listener.

### Method Detail

#### onEvent

    public void onEvent(Event evt)

Local event callback.

Specified by:
  `onEvent` in interface `GridLocalEventListener`
Parameters:
  `evt` - local grid event.

#### order

    public int order()

Specified by:
  `order` in interface `HighPriorityListener`
Returns:
  Order.

#### metricsListener

    public void metricsListener(@Nullable
                                @Nullable TcpCommunicationMetricsListener metricsLsnr)

Parameters:
  `metricsLsnr` - New statistics.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022